/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package ManuMgmt.SCADA;

import java.util.Vector;

/** 
 * @author TogetherSoft
 * @stereotype thing */
public class DataSetPool {
    /**  */
    public void addDataSet() {
    }

    public void removeDataSet() {
    }

    public void moveDataSetsAround() {
    }

    public void moveToRelatedDataSetPool() {
    }

    public void promoteToHigherPriorityPool() {
    }

    public void demoteToLowerPriorityPool() {
    }

    public void patternMatch() {
    }

    public Vector compareWithRecentResults() {
        return new Vector();
    }

    /**
     *@shapeType AggregationLink
     *    @associates <b>DataSet</b>
     * @supplierCardinality 0..*
     * @clientCardinality 0..1
     */
    private Vector lnkUnnamed;

    /** @supplierCardinality 1 */
    private IPatternMatch lnkUnnamed1;

    /**
     *@shapeType AggregationLink
     *    @associates <b>DataSetPool</b>
     * @supplierCardinality 0..*
     * @clientCardinality 0..1
     * @supplierRole lowpri
     * @clientRole hipri
     */
    private Vector lnkUnnamed2;

    /**
     * @supplierCardinality 0..*
     * @clientCardinality 1
     * @supplierRole recent,all
     */
    private PatternMatchResult lnkUnnamed3;

    /**
     * @clientCardinality 0..1
     * @supplierCardinality 0..*
     * @supplierRole related
     */
    private DataSetPool lnkUnnamed4;
}


